#!/bin/bash

echo "Main dependencies packages names (install also -dev packages):"
echo " - build-essential"
echo " - gfortran"
echo " - libgl1-mesa-dev (recommended)"
echo " - libtool"
echo " - libjpeg (recommended)"
echo " - libpng"
echo " - libftgl"
echo " - libmuparser2 (and libmuparser-dev)"
echo " - libboost-filesystem >=1.46"
echo " - libboost-system >=1.46"
echo "On debian (or derived distributions) a command that could install all the dependencies should read as follow:"
echo ""
echo "# aptitude install build-essential gfortran libgl1-mesa-dev libtool libx11-dev libxi-dev libgl1-mesa-dev libglu1-mesa-dev freeglut3-dev libmuparser-dev libxft-dev libfontconfig1-dev libpng12-dev libboost-filesystem-dev libftgl2 libftgl-dev"
echo ""
echo "On some systems also the following libraries (and -dev) are required:"
echo " - libxinerama-dev"
echo " - libxcursor-dev"
echo " - autotools-dev"
echo " - autoconf"
echo " - automake"
echo "On debian (or derived distributions) a command that could install them should read as follow:"
echo ""
echo "# aptitude install libxinerama-dev libxcursor-dev autotools-dev autoconf automake"
echo ""
echo "In case of errors during the compilation remember to enter compilation directories (fltk-xxx and umesh2dgui) and issue a:"
echo ""
echo "$ make clean."
echo ""

echo -n "Do you wish to continue [y/n] "
read ANSWER
if [[ ! $ANSWER = "y" ]] ; then
echo "Exiting..."
exit
fi

echo "Continuing assuming all the above are installed in 30 seconds."
sec=0
while [ $sec -le 29 ]
do
  sec=$(($sec + 1))
  sleep 1
  echo -e -n "\rCounting... $sec"
done

echo ""
echo "Trying to compile fltk-2.x. Even if we get errors we go on because it have already build anyway what we need. In case of problems check fltk-2.x dependencies (check ./configure output) and install missing libraries. Afterwards try again."
sleep 5
echo ""

cd fltk-2.0.x-alpha-r9296
./configure
make
cd ..

echo ""
echo "Trying to compile umesh2dgui. If we get errors we need to look for missing dependencies (check ./configure output) and install missing libraries. Afterwards try again."
sleep 5
echo ""

cd umesh2dgui/trunk
./bootstrap.sh
./configure CPPFLAGS=-I/usr/include/muParser --with-fltk2-prefix=`readlink -f ../../fltk-2.0.x-alpha-r9296`
make

echo "--== DONE ==--"
echo -e "\nIf all went fine umesh2dgui executable should be located in umesh2dgui/trunk/src"