/* 

    umesh2dgui, a GUI for umesh2d grid generator 

    Copyright (C) 2008-2011 Gabriele Dini Ciacci
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <exceptions.h>

using namespace std;

/**
 * Returns the description message for this exception.
 * @return The message as a C string
 * @author Gabriele Dini Ciacci <dark.schneider@iol.it>
 */
const char* u2d_IO_Exception::what() const throw() {
    string str = "U2D_IO_Exception: " + my_reason;
    return (const char*)str.c_str();
}
/**
 * Creates a new instance of the exception, using the given message as its
 * description.
 * @param msg The description message of this exception
 * @author Gabriele Dini Ciacci <dark.schneider@iol.it>
 */
u2d_IO_Exception::u2d_IO_Exception(string msg) {
    my_reason = msg;
}
u2d_IO_Exception::~u2d_IO_Exception() throw() {
}

/**
 * Returns the description message for this exception.
 * @return The message as a C string
 * @author Gabriele Dini Ciacci <dark.schneider@iol.it>
 */
const char* u2d_Parse_Error_Exception::what() const throw() {
    string str = "U2D_Parse_Error_Exception: " + my_reason;
    return (const char*)str.c_str();
}
/**
 * Creates a new instance of the exception, using the given message as its
 * description.
 * @param msg The description message of this exception
 * @author Gabriele Dini Ciacci <dark.schneider@iol.it>
 */
u2d_Parse_Error_Exception::u2d_Parse_Error_Exception(string msg) {
    my_reason = msg;
}
u2d_Parse_Error_Exception::~u2d_Parse_Error_Exception () throw() {
}

/**
 * Returns the description message for this exception.
 * @return The message as a C string
 * @author Gabriele Dini Ciacci <dark.schneider@iol.it>
 */
const char* u2d_Size_Missmatch_Exception::what() const throw() {
    string str = "U2D_Size_Missmatch_Exception: " + my_reason;
    return (const char*)str.c_str();
}
/**
 * Creates a new instance of the exception, using the given message as its
 * description.
 * @param msg The description message of this exception
 * @author Gabriele Dini Ciacci <dark.schneider@iol.it>
 */
u2d_Size_Missmatch_Exception::u2d_Size_Missmatch_Exception(string msg) {
    my_reason = msg;
}
u2d_Size_Missmatch_Exception::~u2d_Size_Missmatch_Exception () throw() {
}

/**
 * Returns the description message for this exception.
 * @return The message as a C string
 * @author Gabriele Dini Ciacci <dark.schneider@iol.it>
 */
const char* u2d_Math_Exception::what() const throw() {
    string str = "U2D_Math_Exception: " + my_reason;
    return (const char*)str.c_str();
}
/**
 * Creates a new instance of the exception, using the given message as its
 * description.
 * @param msg The description message of this exception
 * @author Gabriele Dini Ciacci <dark.schneider@iol.it>
 */
u2d_Math_Exception::u2d_Math_Exception(string msg) {
    my_reason = msg;
}
u2d_Math_Exception::~u2d_Math_Exception () throw() {
}

/**
 * Returns the description message for this exception.
 * @return The message as a C string
 * @author Gabriele Dini Ciacci <dark.schneider@iol.it>
 */
const char* u2d_OpenGL_Exception::what() const throw() {
    string str = "U2D_OpenGL_Exception: " + my_reason;
    return (const char*)str.c_str();
}
/**
 * Creates a new instance of the exception, using the given message as its
 * description.
 * @param msg The description message of this exception
 * @author Gabriele Dini Ciacci <dark.schneider@iol.it>
 */
u2d_OpenGL_Exception::u2d_OpenGL_Exception(string msg) {
    my_reason = msg;
}
u2d_OpenGL_Exception::~u2d_OpenGL_Exception () throw() {
}