/*

    umesh2dgui, a GUI for umesh2d grid generator

    Copyright (C) 2011 Gabriele Dini Ciacci <dark.schneider@iol.it>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Created on June 8, 2011, 12:49 AM
 */

#ifndef U2D_DISPLAYCONTAINER_H
#define	U2D_DISPLAYCONTAINER_H

#include <deque>

#include "gl/u2d_DisplayObject.h"

class u2d_DisplayContainer : public u2d_DisplayObject {
public:
    u2d_DisplayContainer(std::string _name = "");
    virtual ~u2d_DisplayContainer();

    /* Named parameters methods */
    virtual std::string getName() const;
    virtual u2d_DisplayContainer& enable();
    virtual u2d_DisplayContainer& disable();
    virtual bool isEnabled() const;
    
    /* Implements DisplayObject method */
    virtual void draw();
        
    /* Container specific method */
    u2d_DisplayContainer& addChild(u2d_DisplayObject *displayObject);
    
private:
    /* To contain the child widgets */
    std::deque<u2d_DisplayObjectPointer> children;    
    
    /* Status */
    bool enabled;
    
    /* Name */
    std::string name;

};

#endif	/* U2D_DISPLAYCONTAINER_H */

