// Software License for MTL
// 
// Copyright (c) 2007 The Trustees of Indiana University. 
//               2008 Dresden University of Technology and the Trustees of Indiana University.
//               2010 SimuNova UG (haftungsbeschränkt), www.simunova.com. 
// All rights reserved.
// Authors: Peter Gottschling and Andrew Lumsdaine
// 
// This file is part of the Matrix Template Library
// 
// See also license.mtl.txt in the distribution.

#ifndef MTL_VECTOR_IOTA_INCLUDE
#define MTL_VECTOR_IOTA_INCLUDE

#include <boost/numeric/mtl/concept/collection.hpp>

namespace mtl { namespace vector {

template <typename Vector>
void iota(Vector& v)
{
    for (typename Collection<Vector>::size_type i= 0; i < size(v); i++)
	v[i]= i;
}

}} // namespace mtl::vector

#endif // MTL_VECTOR_IOTA_INCLUDE
